Package org.kapott.hbci.dialog

## Enum KnownTANProcess.Variant

- java.lang.Object
- - java.lang.Enum<KnownTANProcess.Variant>
  - - org.kapott.hbci.dialog.KnownTANProcess.Variant

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<KnownTANProcess.Variant>`

Enclosing class:
  KnownTANProcess

    public static enum KnownTANProcess.Variant
    extends java.lang.Enum<KnownTANProcess.Variant>

Prozess-Variante.

### Enum Constant Summary

Enum Constants
`V1` Prozess-Variante 1.
`V2` Prozess-Variante 2.

### Method Summary

All Methods Static Methods Concrete Methods
`static KnownTANProcess.Variant` `determine​(java.lang.String code)` Liefert die zu verwendende Prozessvariante.
`static KnownTANProcess.Variant` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KnownTANProcess.Variant[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### V1

    public static final KnownTANProcess.Variant V1

Prozess-Variante 1.

#### V2

    public static final KnownTANProcess.Variant V2

Prozess-Variante 2.

### Method Detail

#### values

    public static KnownTANProcess.Variant[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (KnownTANProcess.Variant c : KnownTANProcess.Variant.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static KnownTANProcess.Variant valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### determine

    public static final KnownTANProcess.Variant determine​(java.lang.String code)

Liefert die zu verwendende Prozessvariante.

Parameters:
  `code` - der Code der Variante. Nie NULL sondern hoechstens die Default-Variante.
Returns:
  die Prozess-Variante.